ALTER TABLE TDCL_CEL_CATEGORY_EVENT_LOG DROP CONSTRAINT "P_CEL_EVENT_ID";

DROP TABLE TDCL_CEL_CATEGORY_EVENT_LOG;

CREATE TABLE TDCL_CEL_CATEGORY_EVENT_LOG (
		"CEL_EVENT_ID" INTEGER NOT NULL,
		"CEL_COMPANY_CODE" VARCHAR(20) NOT NULL,
		"CEL_ENTRY_ID" INTEGER NOT NULL,
		"CEL_HIERARCHY_NAME" VARCHAR(100) NOT NULL,
		"CEL_PRIMARY_KEY" VARCHAR(300),
		"CEL_EVENT_TYPE" CHAR(1) NOT NULL,
		"CEL_OLD_KEY" VARCHAR(300),
		"CEL_VERSION_ID" INTEGER,
		"CEL_NEXT_VERSION_ID" INTEGER,
		"CEL_LAST_MODIFIED_TIME" BIGINT NOT NULL,
		"CEL_EVENT_TIME" TIMESTAMP NOT NULL
	)
	IN USERS INDEX IN INDX;
	
commit;