-- <ScriptOptions statementTerminator="@" />
SET CURRENT SQLID=<SCHEMA>@
DROP TRIGGER D_CAT_DELETE@

-- <ScriptOptions statementTerminator="@" />
CREATE TRIGGER D_CAT_DELETE 
	AFTER DELETE ON TCTG_CAT_CATEGORY
	REFERENCING  OLD AS OLD
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DECLARE EVENT_ID INTEGER DEFAULT 0;
    DECLARE HIER_NAME VARCHAR(100);
    DECLARE ROLLBACK_DELETE INTEGER;    DECLARE HIER_TYPE VARCHAR(100);
  	DECLARE COMPANY_CODE VARCHAR(20);  	DECLARE LOG_LEVEL CHAR(1);
  	SET COMPANY_CODE = (SELECT CMP_COMPANY_CODE FROM CMP WHERE CMP_COMPANY_ID = OLD.CAT_COMPANY_ID);  	SET (HIER_NAME, HIER_TYPE) = (SELECT CTR_NAME, 	  		   CASE CTR_TYPE 				WHEN 'CATEGORY_TREE' THEN 'HIERARCHY'				ELSE CTR_TYPE 		   	   END		   FROM CTR WHERE CTR_ID = OLD.CAT_CONTAINER_ID		   			AND CTR_COMPANY_ID = OLD.CAT_COMPANY_ID);  	SET LOG_LEVEL = (SELECT DLC_LOG_LEVEL FROM TDCL_DLC_DATACHANGE_CONFIG 						WHERE DLC_CONTAINER_NAME = HIER_NAME 						AND DLC_CONTAINER_TYPE = HIER_TYPE						AND DLC_COMPANY_CODE = COMPANY_CODE						AND DLC_ENABLED = 'Y');		IF LOG_LEVEL IS NOT NULL THEN	
		
	    
	    IF OLD.CAT_NEXT_VERSION_ID = 999999999 THEN
	    	SET ROLLBACK_DELETE = (SELECT COUNT(*) FROM CHI WHERE CHI_CHILD_ID = OLD.CAT_ID AND CHI_NEXT_VERSION_ID = 999999999);
	    		    	IF ROLLBACK_DELETE > 0 THEN 
				INSERT INTO TDCL_CEL_CATEGORY_EVENT_LOG VALUES
			  	(
			  		NEXTVAL FOR QDCL_CEL_EVENT_ID,
			  		COMPANY_CODE,
			  		OLD.CAT_ID,
			  		HIER_NAME,
			  		NULL,
			  		'U',
			  		OLD.CAT_PRIMARY_KEY,
			  		OLD.CAT_VERSION_ID,
			  		OLD.CAT_NEXT_VERSION_ID,
			  		OLD.CAT_LAST_MODIFIED,
					CURRENT_TIMESTAMP
			  	);
			 ELSE
			  	INSERT INTO TDCL_CEL_CATEGORY_EVENT_LOG VALUES
			  	(
			  		NEXTVAL FOR QDCL_CEL_EVENT_ID,
			  		COMPANY_CODE,
			  		OLD.CAT_ID,
			  		HIER_NAME,
			  		NULL,
			  		'D',
			  		OLD.CAT_PRIMARY_KEY,
			  		OLD.CAT_VERSION_ID,
			  		OLD.CAT_NEXT_VERSION_ID,
			  		OLD.CAT_LAST_MODIFIED,
					CURRENT_TIMESTAMP
			  	);
			 END IF;
		END IF ;	END IF;
  END@

