/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5724-V51
*
* (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/




/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/**
 * This Data object class holds all the attributes of transaction that are required.
 *
 */
package com.ibm.ccd.ui.alert.framework;



public class TransactionBean implements ITransaction {
    //data it needs to hold per transaction, TXID, TX DESC, TX START, TX END, TX STATE
    private String transactionID = "";
    private String transactionStatus = "0";
    private String transactionDescription = "";

    //	private String transactionDetails = "";
    private String transactionEndTime = "";
    private String transactionStartTime = "";
    private String attachmentFilePath = "";
    private String xlsAttachmentFilePath = "";

    public String getTransactionDescription() {
        return transactionDescription;
    }

    //	public String getTransactionDetails() {
    //		return transactionDetails;
    //	}
    public String getTransactionEndTime() {
        return transactionEndTime;
    }

    public String getTransactionID() {
        return transactionID;
    }

    /**
     * @return string
     */
    public String getTransactionStartTime() {
        return transactionStartTime;
    }

    public String getTransactionStatus() {
        return transactionStatus;
    }

    /**
     * @param string
     */
    public void setTransactionDescription(String string) {
        transactionDescription = string;
    }

    //	/**
    //	 * @param string
    //	 */
    //	public void setTransactionDetails(String string) {
    //		transactionDetails = string;
    //	}

    /**
     * @param string
     */
    public void setTransactionEndTime(String string) {
        transactionEndTime = string;
    }

    /**
     * @param string
     */
    public void setTransactionID(String string) {
        transactionID = string;
    }

    /**
     * @param string
     */
    public void setTransactionStartTime(String string) {
        transactionStartTime = string;
    }

    /**
     * @param string
     */
    public void setTransactionStatus(String string) {
        transactionStatus = string;
    }

    
    public boolean isTransactionStatusCompleted() {
        if (getTransactionStatus().equals(String.valueOf(
                        ITransactionStatus.COMPLETED))) {
            return true;
        } else {
            return false;
        }
    }

    /**
     * @return string
     */
    public String getAttachmentFilePath() {
        return attachmentFilePath;
    }

    /**
     * @param string
     */
    public void setAttachmentFilePath(String string) {
        attachmentFilePath = string;
    }

    /**
     * @return string
     */
    public String getXlsAttachmentFilePath() {
        return xlsAttachmentFilePath;
    }

    /**
     * @param string
     */
    public void setXlsAttachmentFilePath(String string) {
        xlsAttachmentFilePath = string;
    }
}
