/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5724-V51
*
* (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/




/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


package com.ibm.ccd.ui.exception;

import java.io.Serializable;


public class Message implements Serializable {
    private String type;
    private String key;
    private Object[] values;

    Message(String type, String key, Object[] values) {
        this.type = type;
        this.key = key;
        this.values = values;
    }

    public String getType() {
        return type;
    }

    public String getKey() {
        return key;
    }

    public Object[] getValues() {
        return values;
    }
}
