/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5724-V51
*
* (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/




/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


package com.ibm.ccd.ui.exception;

public class UIException extends Exception {
    private int errorcode;
    private MessageMap messageMap;
    private Throwable throwable;

    public UIException() {
        super();
    }

    public UIException(String arg0) {
        super(arg0);
    }

    public UIException(int errorCode) {
        super();
        this.errorcode = errorCode;
    }

    public UIException(MessageMap messageMap) {
        super();
        this.messageMap = messageMap;
    }

    public UIException(int errorCode, MessageMap messageMap) {
        super();
        this.errorcode = errorCode;
        this.messageMap = messageMap;
    }

    public UIException(int errorCode, Throwable throwable) {
        super();
        this.errorcode = errorCode;
        this.throwable = throwable;
    }

    public UIException(Throwable throwable) {
        super();
        this.throwable = throwable;
    }

    /**
     * @return integer
     */
    public int getErrorcode() {
        return errorcode;
    }

    /**
     * @param i
     */
    public void setErrorcode(int i) {
        errorcode = i;
    }


	public MessageMap getMessageMap() {
		return messageMap;
	}
}
