/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5724-V51
*
* (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/




/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


package com.ibm.ccd.ui.taglib.dataobjects;


/**
* Defines the available SearchElement types
* @author  IBM India
* @version 1.0
* @since   Iteration 2
**/
public interface ISearchElementTypesEnum {
    /**
     * Text Element Type
     **/
    public static final int META = -1;

    /**
     * Text Element Type
     **/
    public static final int TEXT = 0;

    /**
     * Date Element Type
     **/
    public static final int DATE = 1;

    /**
     * Select Element Type
     */
    public static final int SELECT = 2;
}
