/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5724-V51
*
* (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/




/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


package com.ibm.ccd.ui.exception;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;


public class MessageList implements Serializable {
    protected String type;
    protected List messages;

    public MessageList(String type) {
        this.type = type;
        messages = new ArrayList();
    }

    public void add(Message message) {
        if (message != null) {
            messages.add(message);
        }
    }

    public void clear() {
        messages.clear();
    }

    public boolean empty() {
        return messages.size() == 0;
    }

    public Iterator get() {
        return messages.iterator();
    }

    public int size() {
        return messages.size();
    }
}
