/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5724-V51
*
* (c) Copyright IBM Corp. 2000, 2008 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/




/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/*
 * Created on Jul 25, 2005
 */
package com.ibm.ccd.ui.portlets.search.core.cmd;

import org.apache.jetspeed.portlet.PortletContext;
import org.apache.jetspeed.portlet.PortletRequest;
import org.apache.jetspeed.portlet.PortletResponse;

import com.ibm.ccd.ui.context.WPSContext;
import com.ibm.ccd.ui.exception.UIException;
import com.ibm.ccd.ui.mediator.WPCMediatorException;


public interface ISearchCommand {
    public void execute(PortletRequest request, PortletResponse response)
        throws UIException, WPCMediatorException;

    public WPSContext getWpsContext();

    public void setWpsContext(WPSContext wpsContext);

    public PortletContext getPortletContext();

    public void setPortletContext(PortletContext portletContext);

    public void setPortletName(String portletName);

    public String getPortletName();
}
